<?xml version="1.0" encoding="UTF-8"?><MCOURSETYPE desc_thai="ประเภทหลักสูตร" desc_eng="MCOURSETYPE" editcheck="true" mainhelp="MCOURSETYPEHELP" referhelp="MCOURSETYPEHELP" mainkey="CRSTYID" fieldsystem="*" protype="table" deleteflag="true" dependlevel="true" config_field="">
	<FIELD>
		<CRSTYID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>20</WIDTH>
			<DESC_ENG>Coursetype ID</DESC_ENG>
			<DESC_THAI>รหัสประเภทหลักสูตร</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>12</SIZE>
				<ALT_ENG>Coursetype ID</ALT_ENG>
				<ALT_THAI>รหัสประเภทหลักสูตร</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<APPNAME name="TRAINING">
				<DESC_ENG>Coursetype ID</DESC_ENG>
				<DESC_THAI>รหัสประเภทหลักสูตร</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>10</MAXSIZE>
					<SIZE>12</SIZE>
					<ALT_ENG>Coursetype ID</ALT_ENG>
					<ALT_THAI>รหัสประเภทหลักสูตร</ALT_THAI>
				</COMPONENT>
			</APPNAME>
		</CRSTYID>
		<CRSTYDESC lang="T" encrypt="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<REFER_LANG>CRSTYEDESC</REFER_LANG>
			<DESC_ENG>Desc. (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>256</MAXSIZE>
				<SIZE>70</SIZE>
				<ALT_ENG>Desc. (Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด (ไทย)</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="TRAINING">
			<DESC_ENG>Desc. (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>256</MAXSIZE>
				<SIZE>60</SIZE>
				<ALT_ENG>Desc. (Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด (ไทย)</ALT_THAI>
				<SWAPLANG>TDESC</SWAPLANG>
			</COMPONENT>
		</APPNAME>
		</CRSTYDESC>
		<CRSTYEDESC lang="E" encrypt="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<REFER_LANG>CRSTYDESC</REFER_LANG>
			<DESC_ENG>Desc. (Eng)</DESC_ENG>
			<DESC_THAI>รายละเอียด (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>256</MAXSIZE>
				<SIZE>70</SIZE>
				<ALT_ENG>Desc. (Eng)</ALT_ENG>
				<ALT_THAI>รายละเอียด (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		<APPNAME name="TRAINING">
			<DESC_ENG>Desc. (Eng)</DESC_ENG>
			<DESC_THAI>รายละเอียด (อังกฤษ)</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>256</MAXSIZE>
				<SIZE>60</SIZE>
				<ALT_ENG>Desc. (Eng)</ALT_ENG>
				<ALT_THAI>รายละเอียด (อังกฤษ)</ALT_THAI>
			</COMPONENT></APPNAME>
		</CRSTYEDESC>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<DISABLE>false</DISABLE>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				<ALT_ENG>Company ID</ALT_ENG>
			</COMPONENT>
		</COMPANYID>
		<STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Active status</DESC_ENG>
			<DESC_THAI>สถานะการใช้งาน</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<DEFAULTVALUE>A</DEFAULTVALUE>
				<ALT_ENG>Active status</ALT_ENG>
				<ALT_THAI>สถานะการใช้งาน</ALT_THAI>
				<REQUIRE>true</REQUIRE>
				<VALIDCODE>active_status</VALIDCODE>
			</COMPONENT>
		</STATUS>
		<SHORTNAME lang="T" encrypt="false" verify="true" log="false" type="String">
			<WIDTH>50</WIDTH>
			<REFER_LANG>SHORTENAME</REFER_LANG>
			<DESC_ENG>Short name (Thai)</DESC_ENG>
			<DESC_THAI>ชื่อย่อ (ไทย)</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>25</SIZE>
				<ALT_THAI>ชื่อย่อ (ไทย)</ALT_THAI>
				<ALT_ENG>Short name (Thai)</ALT_ENG>
				<SWAPLANG>SHORTNAME</SWAPLANG>
			</COMPONENT>
		</SHORTNAME>
		<SHORTENAME lang="E" encrypt="false" verify="true" log="false" type="String">
			<WIDTH>50</WIDTH>
			<REFER_LANG>SHORTNAME</REFER_LANG>
			<DESC_ENG>Short name (Eng.)</DESC_ENG>
			<DESC_THAI>ชื่อย่อ (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>25</SIZE>
				<ALT_THAI>ชื่อย่อ (อังกฤษ)</ALT_THAI>
				<ALT_ENG>Short name (Eng.)</ALT_ENG>
		</COMPONENT>
	</SHORTENAME>
</FIELD>
	<RELATION>
		<MCOURSE mode="0">
			<PARENT>MCOURSETYPE.CRSTYID</PARENT>
			<PARENT>MCOURSETYPE.COMPANYID</PARENT>
			<CHILD>MCOURSE.CRSTYID</CHILD>
			<CHILD>MCOURSE.COMPANYID</CHILD>
		</MCOURSE>
	</RELATION>
</MCOURSETYPE>
